package com.ycwl.basic.device.operator;

import com.ycwl.basic.device.entity.common.FileObject;
import com.ycwl.basic.model.pc.device.entity.DeviceConfigEntity;
import com.ycwl.basic.model.pc.device.entity.DeviceEntity;
import lombok.Setter;

import java.util.Collections;
import java.util.Date;
import java.util.List;

public class LocalStorageOperator implements IDeviceStorageOperator {
    @Setter
    private DeviceEntity device;
    @Setter
    private DeviceConfigEntity deviceConfig;

    public LocalStorageOperator(String configJson) {
        loadConfig(configJson);
    }

    @Override
    public void loadConfig(String configJson) {

    }

    @Override
    public List<FileObject> getFileListByDtRange(Date startDate, Date endDate) {
        return Collections.emptyList();
    }

    @Override
    public boolean removeFilesBeforeDate(Date date) {
        return false;
    }

}
